./wip/gnuradio-vocoder, All available vocoders in GNU Radio

[ CVSweb ] [ Homepage ] [ RSS ] [ Required by ] [ Add to tracker ]


Branch: CURRENT, Version: 3.8.1.0, Package name: gnuradio-vocoder-3.8.1.0, Maintainer: pkgsrc-users

GNU Radio is a collection of software that when combined with minimal hardware,
allows the construction of radios where the actual waveforms transmitted and
received are defined by software. What this means is that it turns the digital
modulation schemes used in today's high performance wireless devices into
software problems.

This module provides all available vocoders in GNU Radio.


Required to run:
[audio/portaudio] [audio/gsm] [audio/jack] [math/fftwf] [math/gsl] [ham/gnuradio-core] [devel/cppunit] [devel/boost-libs] [devel/py-cheetah] [devel/orc] [devel/py-mako] [lang/python27] [devel/libusb1] [devel/swig2] [lang/py-six] [x11/py-qwt-qt4] [math/py-scipy12]

Required to build:
[devel/boost-headers] [pkgtools/cwrappers]

Package options: filter-design

Master sites:

SHA1: d01a97bc06ac2543e393dc0b7df629f9a4fb07d4
RMD160: 6b6c96a7942ae1a42aff2ac4f70fb761b735864a
Filesize: 3483.536 KB

Version history: (Expand)


CVS history: (Expand)


   2015-09-17 15:48:04 by Makoto Fujiwara | Files touched by this commit (68) | Package updated
Log message:
Update wip/gnuradio* sync to ham/gnuradio*  (for further work)
   2014-10-13 02:46:25 by Makoto Fujiwara | Files touched by this commit (20)
Log message:
Remove unnecessary @pkgdir lines from PLIST

   2014-09-29 17:25:54 by Makoto Fujiwara | Files touched by this commit (16)
Log message:
Remove BUILDLINK_CPPFLAGS.gnuradio-pkg+=   \ 
-I${BUILDLINK_PREFIX.gnuradio-pkg}/include/gnuradio, thanks obache@.

   2014-09-28 02:40:28 by Makoto Fujiwara | Files touched by this commit (10)
Log message:
- Make gnuradio-core/Makefile.common minumum (purely common)
  (meaning to move setup, CMAKE_ARGS, buildlink, to dividual modules)
- Add gnuradio-zeromq to gnuradio-default and gnuradio meta-pkgs
- (gnuradio-default and gnuradio-core) gr_filter_design asks for:
   Add (full) DEPENDS to py-qwt-qt4
- (Tabify)